%--------------------------------------------------------------------------
% function wstat =
% TestPart_FullNL_H(thetahat,Vhat,Oudotv,thetanull,p,k)
%
% Function to calculate the test statistics for the Full NL experiment
%
% MW, modifications by OS 2013
%-------------------------------------------------------------------------
function wstat = TestPart_FullNL_H(thetahat,Vhat,Oudotv,thetanull,p,k)

% thetahat = [const linx liny sqx sqy crossxy [+cubic +further terms] ]

endh = length(thetanull);
% endh = length(thetahat)-k;

% cut of deterministic parts:
Bhat = thetahat(k+p+2:endh,1); 
Bnull = thetanull(k+p+2:endh,1);
VhatB = Vhat(k+p+2:endh,k+p+2:endh);

% important part here
outerterm = Bhat - Bnull;
innerterm = inv(Oudotv*VhatB);
wstat = outerterm'*innerterm*outerterm;
