%--------------------------------------------------------------------------
% function [crit_val] = make_cval(statvals,percvec];
%
% Function to compute critical values at percentiles contained in percvec
%
% Input:   statvals ... R^{M \times 1} vector of values
%           percvec ... R^{NumP \times 1} vector of percentiles.
%
% Output:  crit_val ... R^{1 \times NumP} vector of values
%--------------------------------------------------------------------------
function [crit_val] = make_cval(statvals,percvec);

[M,size2] = size(statvals);
[numP,size3] = size(percvec);

ordered_vals = sort(statvals);

P_posit = floor(percvec*M);

for alloc = 1:numP;
    crit_val(1,alloc) = ordered_vals(P_posit(alloc,1));
end;
        


